% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/covls.R
\name{varls}
\alias{varls}
\title{Compute the variance, covariance matrix of K coordinate matrices.}
\usage{
varls(..., nrand = 100, p.adjust.method = "holm")
}
\arguments{
\item{...}{the set of matrices}

\item{nrand}{number of randomisation used to estimate the mean
covariance observed between two random matrix.}

\item{p.adjust.method}{the multiple test correction method used
to adjust p values. \code{p.adjust.method} belongs
one of the folowing values: "holm", "hochberg", "hommel",
"bonferroni", "BH", "BY", "fdr",  "none". The default is
set to "holm".}
}
\description{
Covariance between two matrices is defined as the sum of the
sigular values of the X'Y matrix. All the matrices must have
the same number of rows.
}
\examples{
# Build Three matrices of 3 rows.
A <- matrix(1:9, nrow = 3)
B <- matrix(10:15, nrow = 3)
C <- matrix(20:31, nrow = 3)
# compute the variance covariance matrix
varls(A, B, C)
varls(A = A, B = B, C = C)
}
\author{
Eric Coissac

Christelle Gonindard-Melodelima
}
